interactionType {RpsiXML} | R Documentation

## Type of the interaction

### Description

Return the interaction type of the `psimi25Interaction`

### Usage

    interactionType(x)

### Arguments

`x` | An object of `psimi25Interaction-class`

### Value

A character string representing the interaction type

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>, Tony Chiang <tchiang@ebi.ac.uk>

### See Also

`psimi25Interaction-class`

### Examples

    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    hprdxml <- file.path(xmlDir, "hprd_200709_test.xml")
    hprdSet <- parsePsimi25Interaction(hprdxml, HPRD.PSIMI25)

    interExp <- interactions(hprdSet)[[1]]
    interExpTyp <- interactionType(interExp)

[Package RpsiXML version 1.0.0 Index]